Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etee.ra.csr._1_0.protocol
Class ContactDataType

    java.lang.Object
      be.fgov.ehealth.etee.ra.csr._1_0.protocol.ContactDataType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2019-09-25T04:31:53+02:00",
               comments="JAXB RI v2.2.11")
    public class ContactDataType

extends Object
implements Serializable

Java class for ContactDataType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContactDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EmailPrivate" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="EmailGeneral" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="PhonePrivate" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="PhoneGeneral" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ContactDataType()`

Method Summary
`String` | `getEmailGeneral()` Gets the value of the emailGeneral property.
`String` | `getEmailPrivate()` Gets the value of the emailPrivate property.
`String` | `getPhoneGeneral()` Gets the value of the phoneGeneral property.
`String` | `getPhonePrivate()` Gets the value of the phonePrivate property.
`void` | `setEmailGeneral(String value)` Sets the value of the emailGeneral property.
`void` | `setEmailPrivate(String value)` Sets the value of the emailPrivate property.
`void` | `setPhoneGeneral(String value)` Sets the value of the phoneGeneral property.
`void` | `setPhonePrivate(String value)` Sets the value of the phonePrivate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContactDataType

    public ContactDataType()

Method Detail

### getEmailPrivate

    public String getEmailPrivate()

  Gets the value of the emailPrivate property.

  Returns:
    possible object is `String`

### setEmailPrivate

    public void setEmailPrivate(String value)

  Sets the value of the emailPrivate property.

  Parameters:
    `value` - allowed object is `String`

### getEmailGeneral

    public String getEmailGeneral()

  Gets the value of the emailGeneral property.

  Returns:
    possible object is `String`

### setEmailGeneral

    public void setEmailGeneral(String value)

  Sets the value of the emailGeneral property.

  Parameters:
    `value` - allowed object is `String`

### getPhonePrivate

    public String getPhonePrivate()

  Gets the value of the phonePrivate property.

  Returns:
    possible object is `String`

### setPhonePrivate

    public void setPhonePrivate(String value)

  Sets the value of the phonePrivate property.

  Parameters:
    `value` - allowed object is `String`

### getPhoneGeneral

    public String getPhoneGeneral()

  Gets the value of the phoneGeneral property.

  Returns:
    possible object is `String`

### setPhoneGeneral

    public void setPhoneGeneral(String value)

  Sets the value of the phoneGeneral property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.